import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.api.dto.AlertMessageDTO;
import com.gic.haoban.manage.api.dto.notify.qdto.NoticeMessageQDTO;
import com.gic.haoban.manage.api.enums.AlertTypeEnum;
import com.gic.haoban.manage.api.enums.NoticeMessageTypeEnum;
import com.gic.haoban.manage.api.service.CheckQywxSettingApiService;
import com.gic.haoban.manage.api.service.QywxTagApiService;
import com.gic.haoban.manage.api.service.notify.NoticeMessageApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.HashMap;
import java.util.Map;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class NotityTest {

    private static Logger logger = LoggerFactory.getLogger(NotityTest.class);

    @Autowired
    private QywxTagApiService qywxTagApiService;

    @Autowired
    private NoticeMessageApiService noticeMessageApiService;


    @Test
    public void test() {
        Map<String, String> contentMap = new HashMap<String, String>();
        contentMap.put("test", "test");

        Map<String, Object> extMap = new HashMap<String, Object>();
        extMap.put("test111", "tes111t");

        NoticeMessageQDTO noticeMessageQDTO = new NoticeMessageQDTO();
        noticeMessageQDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        noticeMessageQDTO.setMessageType(NoticeMessageTypeEnum.ACTIVITY_AWARD.getType());
        noticeMessageQDTO.setContentMap(contentMap);
        noticeMessageQDTO.setClerkId("70eb25bfb94b4ffb998d4bd817fbd7e2");
        noticeMessageQDTO.setOptTargetId("testtatget");
        noticeMessageQDTO.setExtendContent(extMap);

        String str = "{\"extendContent\":{\"taskName\":\"上传12-26日报\",\"storeId\":\"ff8080816c45c82a016c46b4d3b70223\",\"taskId\":\"003a63918e2843f6a714f4e4ede4e874\"},\"messageType\":3031,\"clerkId\":\"836de7f9b607427089215c60116978e7\",\"enterpriseId\":\"ff8080815dacd3a2015dacd3ef5c0000\",\"mqTraceId\":\"590f4ded-3551-4e44-8bf8-4ff0d381c917\"}";

        noticeMessageApiService.noticeMessageMq(str);
    }

    @Test
    public void test2() {


    }

    @Test
    public void test3() {
        qywxTagApiService.checkQywxSync("-1");
    }

}
